Loading...
Searching...
No Matches
gx_engine::Audiofile Class Reference

`#include <gx_convolver.h>`

## Public Types

enum | { TYPE_OTHER , TYPE_CAF , TYPE_WAV , TYPE_AIFF , TYPE_AMB }
enum | { FORM_OTHER , FORM_16BIT , FORM_24BIT , FORM_32BIT , FORM_FLOAT }
enum | { ERR_NONE = 0 , ERR_MODE = -1 , ERR_TYPE = -2 , ERR_FORM = -3 , ERR_OPEN = -4 , ERR_SEEK = -5 , ERR_DATA = -6 , ERR_READ = -7 , ERR_WRITE = -8 }

## Public Member Functions

| Audiofile (void)
| ~Audiofile (void)
int | type (void) const
int | form (void) const
int | rate (void) const
int | chan (void) const
unsigned int | size (void) const
int | open_read (string name)
int | close (void)
int | seek (unsigned int posit)
int | read (float *data, unsigned int frames)

## Private Member Functions

void | reset (void)

## Private Attributes

SNDFILE * | _sndfile
int | _type
int | _form
int | _rate
int | _chan
unsigned int | _size

## Detailed Description

Definition at line 41 of file gx_convolver.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ERR_NONE |
ERR_MODE |
ERR_TYPE |
ERR_FORM |
ERR_OPEN |
ERR_SEEK |
ERR_DATA |
ERR_READ |
ERR_WRITE |

Definition at line 60 of file gx_convolver.h.

## anonymous enum

anonymous enum

Enumerator
TYPE_OTHER |
TYPE_CAF |
TYPE_WAV |
TYPE_AIFF |
TYPE_AMB |

Definition at line 44 of file gx_convolver.h.

## anonymous enum

anonymous enum

Enumerator
FORM_OTHER |
FORM_16BIT |
FORM_24BIT |
FORM_32BIT |
FORM_FLOAT |

Definition at line 52 of file gx_convolver.h.

## Constructor & Destructor Documentation

## Audiofile()

gx_engine::Audiofile::Audiofile | ( | void |  | ) |

## ~Audiofile()

gx_engine::Audiofile::~Audiofile | ( | void |  | ) |

## Member Function Documentation

## chan()

int gx_engine::Audiofile::chan | ( | void |  | ) | const

inline

Definition at line 78 of file gx_convolver.h.

## close()

int gx_engine::Audiofile::close | ( | void |  | ) |

## form()

int gx_engine::Audiofile::form | ( | void |  | ) | const

inline

Definition at line 76 of file gx_convolver.h.

## open_read()

int gx_engine::Audiofile::open_read | ( | string | name | ) |

## rate()

int gx_engine::Audiofile::rate | ( | void |  | ) | const

inline

Definition at line 77 of file gx_convolver.h.

## read()

int gx_engine::Audiofile::read | ( | float * | data,
|  | unsigned int | frames )

## reset()

void gx_engine::Audiofile::reset | ( | void |  | ) |

private

## seek()

int gx_engine::Audiofile::seek | ( | unsigned int | posit | ) |

## size()

unsigned int gx_engine::Audiofile::size | ( | void |  | ) | const

inline

Definition at line 79 of file gx_convolver.h.

## type()

int gx_engine::Audiofile::type | ( | void |  | ) | const

inline

Definition at line 75 of file gx_convolver.h.

## Member Data Documentation

## _chan

int gx_engine::Audiofile::_chan

private

Definition at line 95 of file gx_convolver.h.

Referenced by chan().

## _form

int gx_engine::Audiofile::_form

private

Definition at line 93 of file gx_convolver.h.

Referenced by form().

## _rate

int gx_engine::Audiofile::_rate

private

Definition at line 94 of file gx_convolver.h.

Referenced by rate().

## _size

unsigned int gx_engine::Audiofile::_size

private

Definition at line 96 of file gx_convolver.h.

Referenced by size().

## _sndfile

SNDFILE* gx_engine::Audiofile::_sndfile

private

Definition at line 91 of file gx_convolver.h.

## _type

int gx_engine::Audiofile::_type

private

Definition at line 92 of file gx_convolver.h.

Referenced by type().

The documentation for this class was generated from the following file:

- src/headers/gx_convolver.h